Gentoo Logo
Gentoo Spaceship




Note: Due to technical difficulties, the Archives are currently not up to date. GMANE provides an alternative service for most mailing lists.
c.f. bug 424647
List Archive: gentoo-pms
Navigation:
Lists: gentoo-pms: < Prev By Thread Next > < Prev By Date Next >
Headers:
To: gentoo-pms@g.o
From: Ciaran McCreesh <ciaran.mccreesh@...>
Subject: Re: EAPI 5
Date: Sun, 29 Apr 2012 18:48:23 +0100
On Sun, 29 Apr 2012 19:38:03 +0200
Ralph Sennhauser <sera@g.o> wrote:
> Is there anything beside the IMPLICIT_IUSE left from the original EAPI
> 3 proposal which didn't made it into either EAPI 3 or 4 but would be
> required?

Yeah. IMPLICIT_IUSE needs the whole redefinition of IUSE_EFFECTIVE etc
to make sense.

Historically IUSE was purely for visual effect. That went out of the
window when we got USE dependencies, but for various reasons the
opportunity to make IUSE correct enough for USE dependencies to work
was missed. Right now use dependency defaults are moderately broken,
since their wording depended upon a feature that got dropped. We can't
start injecting things into IUSE until we have a consistent definition
of IUSE_EFFECTIVE.

-- 
Ciaran McCreesh
Attachment:
signature.asc (PGP signature)
References:
EAPI 5 (Was: Re: [gentoo-dev] Re: Making user patches globally available)
-- Ciaran McCreesh
Re: EAPI 5
-- Ulrich Mueller
Re: EAPI 5
-- Ralph Sennhauser
Re: EAPI 5
-- Ciaran McCreesh
Re: EAPI 5
-- Ralph Sennhauser
Navigation:
Lists: gentoo-pms: < Prev By Thread Next > < Prev By Date Next >
Previous by thread:
Re: EAPI 5
Next by thread:
Re: EAPI 5
Previous by date:
Re: EAPI 5
Next by date:
Re: EAPI 5 (Was: Re: [gentoo-dev] Re: Making user patches globally available)


Updated Jul 18, 2012

Summary: Archive of the gentoo-pms mailing list.

Donate to support our development efforts.

Copyright 2001-2013 Gentoo Foundation, Inc. Questions, Comments? Contact us.